| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | List of all members
IG.Num.MatrixStore Class Reference

Matrix store. More...

Inheritance diagram for IG.Num.MatrixStore:
[legend]
Collaboration diagram for IG.Num.MatrixStore:
[legend]

## Public Member Functions
| MatrixStore (int rowCount, int columnCount)
| Constructs a new matrix store for matrices with the specified dimensions. More...
| MatrixStore (int rowCount, int columnCount, bool constrainDimensions)
| Constructs a new matrix store for matrices with the specified dimensions. More...

## Protected Member Functions
| MatrixStore ()
| Constructs a new matrix store of unspecified dimensions. More...
override Matrix | TryGetNew ()
| Returns a newly created object eligible for storage, or null if such an object can not be created. This method should not throw an exception. More...

## Additional Inherited Members
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Detailed Description

Matrix store.

Stores matrix objects for reuse.

Can be used for storage fo matrices with specific dimension (default) or for torage of any non-null matrices.

## Constructor & Destructor Documentation

IG.Num.MatrixStore.MatrixStore | ( |  | ) |
| inline protected

Constructs a new matrix store of unspecified dimensions.

IG.Num.MatrixStore.MatrixStore | ( | int | rowCount,
|  | int | columnCount
| ) |  |
| inline

Constructs a new matrix store for matrices with the specified dimensions.

Parameters

  rowCount | Number of rows of stored matrices.
  columnCount | Number of columns of stored matrices.

IG.Num.MatrixStore.MatrixStore | ( | int | rowCount,
|  | int | columnCount,
|  | bool | constrainDimensions
| ) |  |
| inline

Constructs a new matrix store for matrices with the specified dimensions.

If

Parameters

  constrainDimensions |

is false then store can be used for matrices with any dimensions.

Parameters

  rowCount | Number of rows of stored matrices.
  columnCount | Number of columns of stored matrices.

## Member Function Documentation

override Matrix IG.Num.MatrixStore.TryGetNew | ( |  | ) |
| inline protected

Returns a newly created object eligible for storage, or null if such an object can not be created. This method should not throw an exception.

The documentation for this class was generated from the following file:

- igbase/numeric/MatrixBase.cs